
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class DemoAppletCard extends JApplet implements ActionListener
{
	JTextField data;
	JButton click;
	JTextArea output;
	JButton convert;
	JPanel cards;
	CardLayout cl;
	JButton switchCard;

	public void init()
	{
		data = new JTextField( 10 );
		click = new JButton( "Display" );
		output = new JTextArea( 5, 20 );
		convert = new JButton( "Convert" );
		switchCard = new JButton( "Switch" );

		Container c = this.getContentPane();
		c.setLayout( new GridLayout( 1, 2 ) );
		
		cards = new JPanel();
		cl = new CardLayout();
		cards.setLayout( cl );
		
		JPanel one = new JPanel();
		one.setLayout( new FlowLayout() );
		one.setBackground( Color.blue );
		one.add( click );
		one.add( convert );
		one.add( switchCard );

		JPanel two = new JPanel();
		two.setLayout( new FlowLayout() );
		two.add( new JLabel( "Type data in Text Field" ) );
		two.add( data );
		
		JPanel three = new JPanel();
		three.setLayout( new FlowLayout() );
		three.add( output );

        JPanel greet = new JPanel();
        greet.setLayout( new FlowLayout() );
        greet.add( new JLabel( "hey" ) );

		cards.add( "input", two );
		cards.add( "output", three );
        cards.add( "greet", greet );
		
		cl.first( cards );
		
		c.add( one );
		c.add( cards );
		
		click.addActionListener( this );
		convert.addActionListener( this );
		switchCard.addActionListener( this );
	}

	public void actionPerformed( ActionEvent ae )
	{
		if ( ae.getSource() == click )
		{
			String s = data.getText();
			output.setText( s + "\n" + s );
		}
		else if ( ae.getSource() == convert )
		{
			String s = data.getText();
			int dollars = Integer.parseInt(s);
			int pesos = dollars*56;
			output.setText( "Peso Conversion:" + pesos );
			cl.show( cards, "output" );
		}
		else if ( ae.getSource() == switchCard )
		{
			cl.next( cards );
		}
	}
}
